-- CamRot Specialization
-- Rotates the indoorcam front/back/left/right if you press a key
--
-- by modelleicher  @date 12.12.10
-- www.schwabenmodding.bplaced.net

CamRot = {};

function CamRot.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function CamRot:load(xmlFile)
    self.rotateCam = CamRot.rotateCam
	self.camTransform = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.CameraRotation#rotTransformIndex"));	
	
	-- indoorcamera is <camera2 (...)/> in xml. If it's <camera1 (...)/> in xml then there write 1, or if it's <camera3 (...)/> in xml write 3 and so on.. 
	self.camInTableIndex = 2  
end;

function CamRot:delete()
end;

function CamRot:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CamRot:keyEvent(unicode, sym, modifier, isDown)   
end;

function CamRot:update(dt)
   if self:getIsActiveForInput() then
    if self.camIndex == self.camInTableIndex then
        if InputBinding.hasEvent(InputBinding.Rot_Front) then
	       self:rotateCam(0, 0, 0)
        end;
	    if InputBinding.hasEvent(InputBinding.Rot_Back) then
	       self:rotateCam(0, 180, 0)
		end;
		if InputBinding.hasEvent(InputBinding.Rot_Left) then
		   self:rotateCam(0, 70, 0)
		end;
		if InputBinding.hasEvent(InputBinding.Rot_Right) then
	       self:rotateCam(0, -70, 0)
		end;
	end;
   end;	
end;

function CamRot:rotateCam(x, y, z)
	local rx = Utils.degToRad(x);
	local ry = Utils.degToRad(y);
	local rz = Utils.degToRad(z);
	setRotation(self.camTransform, rx, ry, rz);
end;

function CamRot:draw()

end;

function CamRot:onLeave()
	self:rotateCam(0, 0, 0)
end;



